@keyframes fadeIn {
    from { opacity: 0.6; }
}

.pulse:hover {
    animation: none;
}

@-webkit-keyframes pulse {
    0% {
        -webkit-box-shadow: 0 0 0 0 rgba(204,169,44, 0.4);
    }
    70% {
        -webkit-box-shadow: 0 0 0 10px rgba(204,169,44, 0);
    }
    100% {
        -webkit-box-shadow: 0 0 0 0 rgba(204,169,44, 0);
    }
}
@keyframes pulse {
    0% {
        -moz-box-shadow: 0 0 0 0 rgba(204,169,44, 0.4);
        box-shadow: 0 0 0 0 rgba(204,169,44, 0.4);
    }
    70% {
        -moz-box-shadow: 0 0 0 10px rgba(204,169,44, 0);
        box-shadow: 0 0 0 10px rgba(204,169,44, 0);
    }
    100% {
        -moz-box-shadow: 0 0 0 0 rgba(204,169,44, 0);
        box-shadow: 0 0 0 0 rgba(204,169,44, 0);
    }
}

.Task {
    border-radius: 5px;
    font-size: 15px;
    padding: 3px;
    word-wrap: break-word;
    color: lightgray;
}

.Task .fa {
    margin-right: 8px;
    font-size: 13px;
}

.Task .done {
    background-color: #2ecc71;
}

.Task.remaining {
    opacity: 0.8;
}

.Task.in-progress .task-content {
    animation: fadeIn 1s infinite alternate;
}

.Task.in-progress > svg {
    animation: pulse 2s infinite;
    box-shadow: 0 0 5px #F4A324;
    border-radius: 50%;
}

.Task .emoji {
    margin-right: 6px;
    font-size: 13px;
}

.Praisable {
    user-select: none;
    display: inline;
}

.hidden {
    display: none !important;
}

.Task .attachment {
    margin-top: 0 !important;
    max-width: 400px;
    border-radius: 5px;
}

.Task .attachment > img {
    border: 1px solid transparent;
    cursor: pointer;
    border-radius: 5px;
    max-height: 100px;
    width: auto;
    object-fit: contain;
}

.Task.launch {
    font-weight: bold;
    color: #3E8D5B;
}

.Task.launch > .emoji {
    font-size: 18px;
    margin-right: 0px;
}

.Task a {
    word-break: break-all;
}

.Task .editing {
    background-color: transparent;
    border-radius: 5px;
    font-size: 18px;
    padding: 3px;
}

.Task input.editing {
    width: 90%;
    outline: none;
    border: 1px solid lightgrey;
    box-shadow: none;
}
